Offers: Contact Fields: Picklist Values

Predefined picklist options and display labels for a contact field that uses a dropdown or select input.

GET /contact_field_values

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_values

List records.

List the picklist values defined for your contact fields, optionally filtered to a single contact field by id.

Params

Param name Description
contact_field_id
Optional

The Contact Field this picklist value belongs to.

ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • contact_field_id
  • sortable_order
  • key
  • value
  • name
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /contact_field_values/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_values/new

Build record with defaults.

Return a blank picklist value populated with default attribute values, useful for building a create form.

Params

Param name Description
contact_field_id
Optional

Assign the record to this Contact Field.

value
Optional Blank value allowed

Value

  • Must be a String

name
Optional Blank value allowed

Display Name For Value

  • Must be a String

sortable_order
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only offers this picklist value for calls matching these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

POST /contact_field_values

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_values

Create record.

Add a new picklist value (and its display name) to a contact field.

Params

Param name Description
contact_field_id
Required

Assign the record to this Contact Field.

value
Required

Value

  • Must be a String

name
Optional Blank value allowed

Display Name For Value

  • Must be a String

sortable_order
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only offers this picklist value for calls matching these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

GET /contact_field_values/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_values/:id

Get record by id.

Get the details of a single contact field picklist value by id.

PUT /contact_field_values/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_values/:id

Update record by id.

Update the value or display name of an existing contact field picklist value.

Params

Param name Description
contact_field_id
Optional

Assign the record to this Contact Field.

value
Optional Blank value allowed

Value

  • Must be a String

name
Optional Blank value allowed

Display Name For Value

  • Must be a String

sortable_order
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only offers this picklist value for calls matching these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"

DELETE /contact_field_values/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_values/:id

Destroy record by id.

Permanently remove a picklist value from its contact field.